Subject: bug#44448: Fwd: bug#44448:

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Aug 2021 14:21:10 +0300

> Date: Sat, 14 Aug 2021 12:25:43 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > >  Error during redisplay: (mode-line-default-help-echo #<window 3 on paren.el>) signaled (quit)
> > 
> > I'm afraid this is not the truth. If you eval
> > 
> >     (setq-default mode-line-format nil)
> > 
> > before step 6, the problem still happens, and there's no error messages in the *Messages* buffer.
> 
> Not here, it doesn't.  If I set mode-line-format to nil in the buffer
> that visits paren.el, I cannot reproduce the problem anymore.
> 
> However, as I wrote in my other message, the :eval form in the mode
> line cannot be the whole story, because we evaluate these forms in a
> way that should (and does) catch any errors, including quit.
> Something else is at work here.

I found a few places where we allowed redisplay_window to exit
non-locally, leaving point in its temporarily wrong position.  This
should now be fixed on the master branch.  Please test.

Thanks.